<?php

/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) LOCKON CO.,LTD. All Rights Reserved.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\ForIbn4204\Controller\Admin;

use Plugin\ForIbn4204\Form\Type\Admin\ForIbn4204ConfigType;
use Plugin\ForIbn4204\Repository\ForIbn4204ConfigRepository;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use Symfony\Component\HttpFoundation\Request;

/**
 * Class ConfigController.
 */
class ConfigController extends \Eccube\Controller\AbstractController
{
    /**
     * @Route("/%eccube_admin_route%/for_ibn4204/config", name="for_ibn4204_admin_config")
     * @Template("@ForIbn4204/admin/config.twig")
     *
     * @param Request $request
     * @param ForIbn4204ConfigRepository $configRepository
     *
     * @return array
     */
    public function index(Request $request, ForIbn4204ConfigRepository $configRepository)
    {
        $Config = $configRepository->get();
        $form = $this->createForm(ForIbn4204ConfigType::class, $Config);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $Config = $form->getData();
            $this->entityManager->persist($Config);
            $this->entityManager->flush($Config);

            log_info('ForIbn4204 config', ['status' => 'Success']);
            $this->addSuccess('登録しました。', 'admin');

            return $this->redirectToRoute('for_ibn4204_admin_config');
        }

        return [
            'form' => $form->createView(),
        ];
    }
}
