<?php

/*
 * This file is part of EC-CUBE
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\ForIbn4204\Controller;

use Plugin\ForIbn4204\Repository\ForIbn4204ConfigRepository;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use Symfony\Component\HttpFoundation\Request;
use Eccube\Repository\ProductRepository;

/**
 * Class NewProductAutoController front.
 */
class NewProductAutoController extends \Eccube\Controller\AbstractController
{

    /**
     * @Route("/block/new_product_auto", name="block_new_product_auto")
     * @Template("Block/new_product_auto.twig")
     *
     * @param Request $request
     * @param ForIbn4204ConfigRepository $configRepository
     * @param ProductRepository $productRepository
     */
    public function index(Request $request, ForIbn4204ConfigRepository $configRepository, ProductRepository $productRepository)
    {
        $Config = $configRepository->get();

        $qb = $productRepository->createQueryBuilder('p')
            ->where('p.Status = 1')
            ->setMaxResults($Config->getNewitemCount());

        if ($Config->getNewitemSort() == 0) {
            $qb = $qb
                ->addOrderBy('p.create_date', 'DESC')
                ->addOrderBy('p.id', 'DESC');
        }  else {
            $qb = $qb
                ->addOrderBy('p.update_date', 'DESC');
        }

        $NewItem = $qb->getQuery()->getResult();

        return [
            'config4204' => $Config,
            'NewItem' => $NewItem,
        ];
    }
}
