<?php

/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) LOCKON CO.,LTD. All Rights Reserved.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\ForIbn4204\Entity;

use Doctrine\ORM\Mapping as ORM;
use Eccube\Entity\AbstractEntity;

/**
 * ForIbn4204Config
 *
 * @ORM\Table(name="plg_ibn4101_config")
 * @ORM\Entity(repositoryClass="Plugin\ForIbn4204\Repository\ForIbn4204ConfigRepository")
 */
class ForIbn4204Config extends AbstractEntity
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer", options={"unsigned":true})
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string|null
     *
     * @ORM\Column(name="eyecatch_title", type="text", nullable=true)
     */
    private $eyecatch_title;

    /**
     * @var string|null
     *
     * @ORM\Column(name="topic_title", type="text", nullable=true)
     */
    private $topic_title;

    /**
     * @var string|null
     *
     * @ORM\Column(name="new_item_title", type="text", nullable=true)
     */
    private $new_item_title;

    /**
     * @var string|null
     *
     * @ORM\Column(name="category_title", type="text", nullable=true)
     */
    private $category_title;

    /**
     * @var int
     *
     * @ORM\Column(name="newitem_sort", type="smallint", nullable=false, options={"unsigned":true})
     */
    private $newitem_sort;

    /**
     * @var int
     *
     * @ORM\Column(name="newitem_count", type="smallint", nullable=false, options={"unsigned":true})
     */
    private $newitem_count;

    /**
     * @var \Eccube\Entity\Block
     *
     * @ORM\ManyToOne(targetEntity="Eccube\Entity\Block")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="block_id", nullable=true, referencedColumnName="id")
     * })
     */
    private $block_id;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param string|null $eyecatchTitle
     */
    public function setEyecatchTitle($eyecatchTitle = null)
    {
        $this->eyecatch_title = $eyecatchTitle;
    }

    /**
     * @return string|null
     */
    public function getEyecatchTitle()
    {
        return $this->eyecatch_title;
    }

    /**
     * @param string|null $topicTitle
     */
    public function setTopicTitle($topicTitle = null)
    {
        $this->topic_title = $topicTitle;
    }

    /**
     * @return string|null
     */
    public function getTopicTitle()
    {
        return $this->topic_title;
    }

    /**
     * @param string|null $eyecatchTitle
     */
    public function setNewItemTitle($new_itemTitle = null)
    {
        $this->new_item_title = $new_itemTitle;
    }

    /**
     * @return string|null
     */
    public function getNewItemTitle()
    {
        return $this->new_item_title;
    }

    /**
     * @param string|null $categoryTitle
     */
    public function setCategoryTitle($categoryTitle = null)
    {
        $this->category_title = $categoryTitle;
    }

    /**
     * @return string|null
     */
    public function getCategoryTitle()
    {
        return $this->category_title;
    }

    /**
     * @return int
     */
    public function getNewitemSort()
    {
        return $this->newitem_sort;
    }

    /**
     * @param int $newitem_sort
     */
    public function setNewitemSort($newitem_sort)
    {
        $this->newitem_sort = $newitem_sort;
    }

    /**
     * @return int
     */
    public function getNewitemCount()
    {
        return $this->newitem_count;
    }

    /**
     * @param int $newitem_count
     */
    public function setNewitemCount($newitem_count)
    {
        $this->newitem_count = $newitem_count;
    }

    /**
     * @return \Eccube\Entity\Block
     */
    public function getBlockId()
    {
        return $this->block_id;
    }

    /**
     * @param \Eccube\Entity\Block $block_id
     */
    public function setBlockId($block_id)
    {
        $this->block_id = $block_id;
    }
}
