<?php

/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\ForIbn4204\Entity;

use Doctrine\ORM\Mapping as ORM;
use Eccube\Entity\AbstractEntity;


    /**
     * Ibn4204Eyecatch
     *
     * @ORM\Table(name="plg_ibn4204_eyecatch")
     * @ORM\InheritanceType("SINGLE_TABLE")
     * @ORM\DiscriminatorColumn(name="discriminator_type", type="string", length=255)
     * @ORM\HasLifecycleCallbacks()
     * @ORM\Entity(repositoryClass="Plugin\ForIbn4204\Repository\Ibn4204EyecatchRepository")
     */
    class Ibn4204Eyecatch extends AbstractEntity
    {
        /**
         * @var int
         *
         * @ORM\Column(name="id", type="integer", options={"unsigned":true})
         * @ORM\Id
         * @ORM\GeneratedValue(strategy="IDENTITY")
         */
        private $id;

        /**
         * @var string
         *
         * @ORM\Column(name="check01", type="smallint", nullable=true)
         */
        private $check01;

        /**
         * @var string
         *
         * @ORM\Column(name="doga", type="text", nullable=true)
         */
        private $doga;

        /**
         * @var string
         *
         * @ORM\Column(name="sonota", type="text", nullable=true)
         */
        private $sonota;

        /**
         * @var string
         *
         * @ORM\Column(name="image01", type="text", nullable=true)
         */
        private $image01;

        /**
         * @var string
         *
         * @ORM\Column(name="image02", type="text", nullable=true)
         */
        private $image02;

        /**
         * @var string
         *
         * @ORM\Column(name="image03", type="text", nullable=true)
         */
        private $image03;

        /**
         * @var string
         *
         * @ORM\Column(name="image04", type="text", nullable=true)
         */
        private $image04;

        /**
         * @var string
         *
         * @ORM\Column(name="image05", type="text", nullable=true)
         */
        private $image05;

        /**
         * @var string
         *
         * @ORM\Column(name="image06", type="text", nullable=true)
         */
        private $image06;

        /**
         * @var string
         *
         * @ORM\Column(name="link01", type="text", nullable=true)
         */
        private $link01;

        /**
         * @var string
         *
         * @ORM\Column(name="link02", type="text", nullable=true)
         */
        private $link02;

        /**
         * @var string
         *
         * @ORM\Column(name="link03", type="text", nullable=true)
         */
        private $link03;

        /**
         * @var string
         *
         * @ORM\Column(name="link04", type="text", nullable=true)
         */
        private $link04;

        /**
         * @var string
         *
         * @ORM\Column(name="link05", type="text", nullable=true)
         */
        private $link05;

        /**
         * @var string
         *
         * @ORM\Column(name="link06", type="text", nullable=true)
         */
        private $link06;

		/**
		 * @var boolean
		 *
		 * @ORM\Column(name="window01", type="boolean", options={"default":false})
		 */
		private $window01 = false;

		/**
		 * @var boolean
		 *
		 * @ORM\Column(name="window02", type="boolean", options={"default":false})
		 */
		private $window02 = false;

		/**
		 * @var boolean
		 *
		 * @ORM\Column(name="window03", type="boolean", options={"default":false})
		 */
		private $window03 = false;

		/**
		 * @var boolean
		 *
		 * @ORM\Column(name="window04", type="boolean", options={"default":false})
		 */
		private $window04 = false;

		/**
		 * @var boolean
		 *
		 * @ORM\Column(name="window05", type="boolean", options={"default":false})
		 */
		private $window05 = false;

		/**
		 * @var boolean
		 *
		 * @ORM\Column(name="window06", type="boolean", options={"default":false})
		 */
		private $window06 = false;

        /**
         * @var string
         *
         * @ORM\Column(name="title01", type="text", nullable=true)
         */
        private $title01;

        /**
         * @var string
         *
         * @ORM\Column(name="title02", type="text", nullable=true)
         */
        private $title02;

        /**
         * @var string
         *
         * @ORM\Column(name="title03", type="text", nullable=true)
         */
        private $title03;

        /**
         * @var string
         *
         * @ORM\Column(name="title04", type="text", nullable=true)
         */
        private $title04;

        /**
         * @var string
         *
         * @ORM\Column(name="title05", type="text", nullable=true)
         */
        private $title05;

        /**
         * @var string
         *
         * @ORM\Column(name="title06", type="text", nullable=true)
         */
        private $title06;

        /**
         * @var string
         *
         * @ORM\Column(name="comment01", type="text", nullable=true)
         */
        private $comment01;

        /**
         * @var string
         *
         * @ORM\Column(name="comment02", type="text", nullable=true)
         */
        private $comment02;

        /**
         * @var string
         *
         * @ORM\Column(name="comment03", type="text", nullable=true)
         */
        private $comment03;

        /**
         * @var string
         *
         * @ORM\Column(name="comment04", type="text", nullable=true)
         */
        private $comment04;

        /**
         * @var string
         *
         * @ORM\Column(name="comment05", type="text", nullable=true)
         */
        private $comment05;

        /**
         * @var string
         *
         * @ORM\Column(name="comment06", type="text", nullable=true)
         */
        private $comment06;

       /**
         * @var int|null
         *
         * @ORM\Column(name="sort_no", type="smallint", nullable=true, options={"unsigned":true})
         */
        private $sort_no;

        /**
         * @var boolean
         *
         * @ORM\Column(name="fixed", type="boolean", options={"default":true})
         */
        private $fixed = true;

        /**
         * @var \DateTime
         *
         * @ORM\Column(name="create_date", type="datetimetz")
         */
        private $create_date;

        /**
         * @var \DateTime
         *
         * @ORM\Column(name="update_date", type="datetimetz")
         */
        private $update_date;

        /**
         * @var boolean
         *
         * @ORM\Column(name="visible", type="boolean", options={"default":true})
         */
        private $visible;

        /**
         * @var \Eccube\Entity\Member
         *
         * @ORM\ManyToOne(targetEntity="Eccube\Entity\Member")
         * @ORM\JoinColumns({
         *   @ORM\JoinColumn(name="creator_id", referencedColumnName="id")
         * })
         */
        private $Creator;

        /**
         * Get id.
         *
         * @return int
         */
        public function getId()
        {
            return $this->id;
        }

		/**
         * Set check01.
         *
         * @param int|null $check01
         *
         * @return Ibn4204Eyecatch
         */
        public function setCheck01($check01 = null)
        {
            $this->check01 = $check01;

            return $this;
        }
        /**
         * Get check01.
         *
         * @return string|null
         */
        public function getCheck01()
        {
            return $this->check01;
        }

        /**
         * Set doga.
         *
         * @param string $doga
         *
         * @return Ibn4204Eyecatch
         */
        public function setDoga($doga)
        {
            $this->doga = $doga;

            return $this;
        }

        /**
         * Get doga.
         *
         * @return string
         */
        public function getDoga()
        {
            return $this->doga;
        }

        /**
         * Set sonota.
         *
         * @param string $sonota
         *
         * @return Ibn4204Eyecatch
         */
        public function setSonota($sonota)
        {
            $this->sonota = $sonota;

            return $this;
        }

        /**
         * Get sonota.
         *
         * @return string
         */
        public function getSonota()
        {
            return $this->sonota;
        }

        /**
         * Set image01.
         *
         * @param string $image01
         *
         * @return Ibn4204Eyecatch
         */
        public function setImage01($image01)
        {
            $this->image01 = $image01;

            return $this;
        }

        /**
         * Get image01.
         *
         * @return string
         */
        public function getImage01()
        {
            return $this->image01;
        }

        /**
         * Set image02.
         *
         * @param string $image02
         *
         * @return Ibn4204Eyecatch
         */
        public function setImage02($image02)
        {
            $this->image02 = $image02;

            return $this;
        }

        /**
         * Get image02.
         *
         * @return string
         */
        public function getImage02()
        {
            return $this->image02;
        }

        /**
         * Set image03.
         *
         * @param string $image03
         *
         * @return Ibn4204Eyecatch
         */
        public function setImage03($image03)
        {
            $this->image03 = $image03;

            return $this;
        }

        /**
         * Get image03.
         *
         * @return string
         */
        public function getImage03()
        {
            return $this->image03;
        }

        /**
         * Set image04.
         *
         * @param string $image04
         *
         * @return Ibn4204Eyecatch
         */
        public function setImage04($image04)
        {
            $this->image04 = $image04;

            return $this;
        }

        /**
         * Get image04.
         *
         * @return string
         */
        public function getImage04()
        {
            return $this->image04;
        }

        /**
         * Set image05.
         *
         * @param string $image05
         *
         * @return Ibn4204Eyecatch
         */
        public function setImage05($image05)
        {
            $this->image05 = $image05;

            return $this;
        }

        /**
         * Get image05.
         *
         * @return string
         */
        public function getImage05()
        {
            return $this->image05;
        }

        /**
         * Set image06.
         *
         * @param string $image06
         *
         * @return Ibn4204Eyecatch
         */
        public function setImage06($image06)
        {
            $this->image06 = $image06;

            return $this;
        }

        /**
         * Get image06.
         *
         * @return string
         */
        public function getImage06()
        {
            return $this->image06;
        }

        /**
         * Set link01.
         *
         * @param string $link01
         *
         * @return Ibn4204Eyecatch
         */
        public function setLink01($link01)
        {
            $this->link01 = $link01;

            return $this;
        }

        /**
         * Get link01.
         *
         * @return string
         */
        public function getLink01()
        {
            return $this->link01;
        }

        /**
         * Set link02.
         *
         * @param string $link02
         *
         * @return Ibn4204Eyecatch
         */
        public function setLink02($link02)
        {
            $this->link02 = $link02;

            return $this;
        }

        /**
         * Get link02.
         *
         * @return string
         */
        public function getLink02()
        {
            return $this->link02;
        }

        /**
         * Set link03.
         *
         * @param string $link03
         *
         * @return Ibn4204Eyecatch
         */
        public function setLink03($link03)
        {
            $this->link03 = $link03;

            return $this;
        }

        /**
         * Get link03.
         *
         * @return string
         */
        public function getLink03()
        {
            return $this->link03;
        }

        /**
         * Set link04.
         *
         * @param string $link04
         *
         * @return Ibn4204Eyecatch
         */
        public function setLink04($link04)
        {
            $this->link04 = $link04;

            return $this;
        }

        /**
         * Get link04.
         *
         * @return string
         */
        public function getLink04()
        {
            return $this->link04;
        }

        /**
         * Set link05.
         *
         * @param string $link05
         *
         * @return Ibn4204Eyecatch
         */
        public function setLink05($link05)
        {
            $this->link05 = $link05;

            return $this;
        }

        /**
         * Get link05.
         *
         * @return string
         */
        public function getLink05()
        {
            return $this->link05;
        }

        /**
         * Set link06.
         *
         * @param string $link06
         *
         * @return Ibn4204Eyecatch
         */
        public function setLink06($link06)
        {
            $this->link06 = $link06;

            return $this;
        }

        /**
         * Get link06.
         *
         * @return string
         */
        public function getLink06()
        {
            return $this->link06;
        }

        /**
         * Set window01.
         *
         * @param string $window01
         *
         * @return Ibn4204Eyecatch
         */
        public function setWindow01($window01)
        {
            $this->window01 = $window01;

            return $this;
        }

        /**
         * Get window01.
         *
         * @return string
         */
        public function getWindow01()
        {
            return $this->window01;
        }

        /**
         * Set window02.
         *
         * @param string $window02
         *
         * @return Ibn4204Eyecatch
         */
        public function setWindow02($window02)
        {
            $this->window02 = $window02;

            return $this;
        }

        /**
         * Get window02.
         *
         * @return string
         */
        public function getWindow02()
        {
            return $this->window02;
        }

        /**
         * Set window03.
         *
         * @param string $window03
         *
         * @return Ibn4204Eyecatch
         */
        public function setWindow03($window03)
        {
            $this->window03 = $window03;

            return $this;
        }

        /**
         * Get window03.
         *
         * @return string
         */
        public function getWindow03()
        {
            return $this->window03;
        }

        /**
         * Set window04.
         *
         * @param string $window04
         *
         * @return Ibn4204Eyecatch
         */
        public function setWindow04($window04)
        {
            $this->window04 = $window04;

            return $this;
        }

        /**
         * Get window04.
         *
         * @return string
         */
        public function getWindow04()
        {
            return $this->window04;
        }

        /**
         * Set window05.
         *
         * @param string $window05
         *
         * @return Ibn4204Eyecatch
         */
        public function setWindow05($window05)
        {
            $this->window05 = $window05;

            return $this;
        }

        /**
         * Get window05.
         *
         * @return string
         */
        public function getWindow05()
        {
            return $this->window05;
        }

        /**
         * Set window06.
         *
         * @param string $window06
         *
         * @return Ibn4204Eyecatch
         */
        public function setWindow06($window06)
        {
            $this->window06 = $window06;

            return $this;
        }

        /**
         * Get window06.
         *
         * @return string
         */
        public function getWindow06()
        {
            return $this->window06;
        }

        /**
         * Set title01.
         *
         * @param string $title01
         *
         * @return Ibn4204Eyecatch
         */
        public function setTitle01($title01)
        {
            $this->title01 = $title01;

            return $this;
        }

        /**
         * Get title01.
         *
         * @return string
         */
        public function getTitle01()
        {
            return $this->title01;
        }

        /**
         * Set title02.
         *
         * @param string $title02
         *
         * @return Ibn4204Eyecatch
         */
        public function setTitle02($title02)
        {
            $this->title02 = $title02;

            return $this;
        }

        /**
         * Get title02.
         *
         * @return string
         */
        public function getTitle02()
        {
            return $this->title02;
        }

        /**
         * Set title03.
         *
         * @param string $title03
         *
         * @return Ibn4204Eyecatch
         */
        public function setTitle03($title03)
        {
            $this->title03 = $title03;

            return $this;
        }

        /**
         * Get title03.
         *
         * @return string
         */
        public function getTitle03()
        {
            return $this->title03;
        }

        /**
         * Set title04.
         *
         * @param string $title04
         *
         * @return Ibn4204Eyecatch
         */
        public function setTitle04($title04)
        {
            $this->title04 = $title04;

            return $this;
        }

        /**
         * Get title04.
         *
         * @return string
         */
        public function getTitle04()
        {
            return $this->title04;
        }

        /**
         * Set title05.
         *
         * @param string $title05
         *
         * @return Ibn4204Eyecatch
         */
        public function setTitle05($title05)
        {
            $this->title05 = $title05;

            return $this;
        }

        /**
         * Get title05.
         *
         * @return string
         */
        public function getTitle05()
        {
            return $this->title05;
        }

        /**
         * Set title06.
         *
         * @param string $title06
         *
         * @return Ibn4204Eyecatch
         */
        public function setTitle06($title06)
        {
            $this->title06 = $title06;

            return $this;
        }

        /**
         * Get title06.
         *
         * @return string
         */
        public function getTitle06()
        {
            return $this->title06;
        }

        /**
         * Set comment01.
         *
         * @param string $comment01
         *
         * @return Ibn4204Eyecatch
         */
        public function setComment01($comment01)
        {
            $this->comment01 = $comment01;

            return $this;
        }

        /**
         * Get comment01.
         *
         * @return string
         */
        public function getComment01()
        {
            return $this->comment01;
        }

        /**
         * Set comment02.
         *
         * @param string $comment02
         *
         * @return Ibn4204Eyecatch
         */
        public function setComment02($comment02)
        {
            $this->comment02 = $comment02;

            return $this;
        }

        /**
         * Get comment02.
         *
         * @return string
         */
        public function getComment02()
        {
            return $this->comment02;
        }

        /**
         * Set comment03.
         *
         * @param string $comment03
         *
         * @return Ibn4204Eyecatch
         */
        public function setComment03($comment03)
        {
            $this->comment03 = $comment03;

            return $this;
        }

        /**
         * Get comment03.
         *
         * @return string
         */
        public function getComment03()
        {
            return $this->comment03;
        }

        /**
         * Set comment04.
         *
         * @param string $comment04
         *
         * @return Ibn4204Eyecatch
         */
        public function setComment04($comment04)
        {
            $this->comment04 = $comment04;

            return $this;
        }

        /**
         * Get comment04.
         *
         * @return string
         */
        public function getComment04()
        {
            return $this->comment04;
        }

        /**
         * Set comment05.
         *
         * @param string $comment05
         *
         * @return Ibn4204Eyecatch
         */
        public function setComment05($comment05)
        {
            $this->comment05 = $comment05;

            return $this;
        }

        /**
         * Get comment05.
         *
         * @return string
         */
        public function getComment05()
        {
            return $this->comment05;
        }

        /**
         * Set comment06.
         *
         * @param string $comment06
         *
         * @return Ibn4204Eyecatch
         */
        public function setComment06($comment06)
        {
            $this->comment06 = $comment06;

            return $this;
        }

        /**
         * Get comment06.
         *
         * @return string
         */
        public function getComment06()
        {
            return $this->comment06;
        }

        /**
         * Set sortNo.
         *
         * @param int|null $sortNo
         *
         * @return Ibn4204Eyecatch
         */
        public function setSortNo($sortNo = null)
        {
            $this->sort_no = $sortNo;

            return $this;
        }

        /**
         * Get sortNo.
         *
         * @return int|null
         */
        public function getSortNo()
        {
            return $this->sort_no;
        }

        /**
         * Set fixed.
         *
         * @param boolean $fixed
         *
         * @return Ibn4204Eyecatch
         */
        public function setFixed($fixed)
        {
            $this->fixed = $fixed;

            return $this;
        }

        /**
         * Get fixed.
         *
         * @return boolean
         */
        public function isFixed()
        {
            return $this->fixed;
        }

        /**
         * Set createDate.
         *
         * @param \DateTime $createDate
         *
         * @return Ibn4204Eyecatch
         */
        public function setCreateDate($createDate)
        {
            $this->create_date = $createDate;

            return $this;
        }

        /**
         * Get createDate.
         *
         * @return \DateTime
         */
        public function getCreateDate()
        {
            return $this->create_date;
        }

        /**
         * Set updateDate.
         *
         * @param \DateTime $updateDate
         *
         * @return Ibn4204Eyecatch
         */
        public function setUpdateDate($updateDate)
        {
            $this->update_date = $updateDate;

            return $this;
        }

        /**
         * Get updateDate.
         *
         * @return \DateTime
         */
        public function getUpdateDate()
        {
            return $this->update_date;
        }

        /**
         * @return integer
         */
        public function isVisible()
        {
            return $this->visible;
        }

        /**
         * @param boolean $visible
         *
         * @return Ibn4204Eyecatch
         */
        public function setVisible($visible)
        {
            $this->visible = $visible;

            return $this;
        }

        /**
         * Set creator.
         *
         * @param \Eccube\Entity\Member|null $creator
         *
         * @return Ibn4204Eyecatch
         */
        public function setCreator(\Eccube\Entity\Member $creator = null)
        {
            $this->Creator = $creator;

            return $this;
        }

        /**
         * Get creator.
         *
         * @return \Eccube\Entity\Member|null
         */
        public function getCreator()
        {
            return $this->Creator;
        }

    }

