<?php

/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\ForIbn4204;

use Eccube\Common\EccubeNav;

class Nav implements EccubeNav
{
    /**
     * {@inheritdoc}
     *
     * @return array
     */
    public static function getNav()
    {
         return [
            'foribn4204' => [
                'id' => 'foribn4204',
                'name' => 'IBN4204',
                'icon' => 'fa-drafting-compass',
                'children' => [
                    'foribn4204_carousel' => [
                        'name' => 'カテゴリメニュー商品カルーセル',
                        'url' => 'admin_content_ibn4204_carousel',
                    ],
                    'toppage_slide' => [
                        'name' => 'トップスライド',
                        'url' => 'plugin_toppage_slide',
                    ],
                    'foribn4204_eyecatch' => [
                        'name' => '新入荷商品特集',
                        'url' => 'admin_content_ibn4204_eyecatch',
                    ],
                    'foribn4204_topic' => [
                        'name' => 'トピック',
                        'url' => 'admin_content_ibn4204_topic',
                    ],
                    'foribn4204_category' => [
                        'name' => 'カテゴリ',
                        'url' => 'admin_content_ibn4204_category',
                    ],
                    'listpage_imgcont' => [
                        'name' => '共通カテゴリバナー',
                        'url' => 'plugin_listpage_imgcont',
                    ],
                ],
            ],
        ];
   }
}
