<?php

/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Plugin\ForIbn4204\Repository;

use Eccube\Repository\AbstractRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Criteria;
use Doctrine\DBAL\Exception\DriverException;
use Doctrine\DBAL\Exception\ForeignKeyConstraintViolationException;
use Plugin\ForIbn4204\Entity\Ibn4204Eyecatch;
use Doctrine\Persistence\ManagerRegistry as RegistryInterface;

/**
 * Ibn4204EyecatchRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class Ibn4204EyecatchRepository extends AbstractRepository
{
    public function __construct(RegistryInterface $registry)
    {
        parent::__construct($registry, Ibn4204Eyecatch::class);
    }

    /**
     * 登録
     *
     * @param $Ibn4204Eyecatch
     */
    public function save($Ibn4204Eyecatch)
    {

        $em = $this->getEntityManager();
        $em->persist($Ibn4204Eyecatch);
        $em->flush($Ibn4204Eyecatch);
    }

    /**
     * 削除
     *
     * @param Ibn4204Eyecatch $Ibn4204Eyecatch
     *
     * @throws ForeignKeyConstraintViolationException 外部キー制約違反の場合
     * @throws DriverException SQLiteの場合, 外部キー制約違反が発生すると, DriverExceptionをthrowします.
     */
    public function delete($Ibn4204Eyecatch)
    {
        $em = $this->getEntityManager();
        $em->remove($Ibn4204Eyecatch);
        $em->flush($Ibn4204Eyecatch);
    }

    /**
     * @return \Doctrine\ORM\QueryBuilder
     */
    public function getQueryBuilderAll()
    {
        $qb = $this->createQueryBuilder('n');
        $qb->orderBy('n.sort_no', 'DESC');

        return $qb;
    }

    /**
     * @return Ibn4204Eyecatch[]|ArrayCollection
     */
    public function getList()
    {
        // second level cacheを効かせるためfindByで取得
        $Results = $this->findBy(['visible' => true], ['sort_no' => 'DESC', 'id' => 'DESC']);

        $Ibn4204Eyecatchs = new ArrayCollection($Results);

        return $Ibn4204Eyecatchs;
    }
}
